import { CsvHeader, CsvRow, CsvOptions, csvHeaderKeys } from '@csv-js/type';

declare class Csv {
    readonly header: CsvHeader[];
    readonly data: CsvRow[];
    readonly info: {
        name: string;
    };
    constructor(header: CsvHeader[], options?: CsvOptions);
    append(row: CsvRow | CsvRow[]): void;
    prepend(row: CsvRow | CsvRow[]): void;
    insert(index: number, row: CsvRow | CsvRow[]): void;
    remove(index: number): void;
    cover(index: number, row: CsvRow): void;
    findIndexes(key: string, value: any): number[];
    toString(): string;
    toHeaderKeys(): csvHeaderKeys;
    download(name?: string): void;
    static import(csvString: string, headerKeys?: csvHeaderKeys, options?: CsvOptions): Csv;
}

export { Csv as default };
